Ce fichier technique explique comment installer et déployer le package de confidentialité (GDPR) sur les anciennes versions Campaign Classic d’Adobe. Il est compatible aux versions 6.1 et 7 des générations 8600 à 8930.

Introduction

Le règlement de protection générale des données (GDPR) correspond à la nouvelles loi de confidentialité de l’Union européenne (UE) qui harmonise et modernise les exigences de protection des données, en vigueur à partir du 25 mai 2018. Le GDPR s’applique aux clients d’Adobe Campaign qui gardent des données pour des sujets de données résidant dans l’UE. Car cette mise en conformité sera une responsabilité partagée avec votre entreprise, nous nous allierons avec vous afin de respecter toutes les nouvelles obligations de gouvernance des données et de confidentialité par éléments de conception.

Le package de GDPR, qui contient la fonctionnalité supplémentaire pour vous aider à vous conformer au règlement GDPR, est disponible, prêt à être utilisé, pour Campaign Classic 18.4 (pour les versions 32 bits et 64 bits). Les clients qui utilisent Campaign Classic 18.4 peuvent importer le package à l’aide de l’assistant d’importation standard dans la console client.

Pour savoir comment utiliser les fonctions de confidentialité de Campaign Classic, référez-vous à la documentation détaillée.

Pour les clients utilisant des versions antérieures, le package peut être déployé comme décrit ci-dessous.

Remarque :

Cette note technique s’applique uniquement à partir de la génération 8600 aux générations d’avant Adobe Campaign 18.4.

Pour les générations antérieures à la version 8600, les clients peuvent installer le package mais il ne sera pas prise en charge par Adobe. Une mise à niveau à des versions récentes est requise si un problème est détecté lors de l’utilisation de la fonction.

Contenu du package :

Le package contient de nouvelles entités pour GDPR (schémas, formulaires, javascript et JSSP) comme décrit ci-dessous.

Ces entités se trouvent dans les fichiers <Dossier d’installation Adobe Campaign>/datakit/nms/<langue>

screen_shot_2018-04-19at171018

Le package est disponible en 4 langues.

Chemin

Langue

Sous-dossiers

Commentaires

<Campaign installation folder>/datakit/nms/eng Anglais
  • chaînes
  • srcSchema
  • schema
  • package
  • formulaire
  • js
  • jssp

Lors de l’installation du package sous Windows, veuillez vérifier que les dossiers JS et JSSP sont présents dans le sous-dossier / eng. S’ils ne sont pas disponibles dans ce dossier, ils devraient être disponibles dans le sous-dossier /fra.

<Campaign installation folder>/datakit/nms/fra Français
  • chaînes
  • srcSchema
  • schema
  • package
  • formulaire
 
<Campaign installation folder>/datakit/nms/deu Allemand
  • chaînes
  • srcSchema
  • schema
  • package
  • formulaire
 
<Campaign installation folder>/datakit/nms/jpn Japonais
  • chaînes
  • srcSchema
  • schema
  • package
  • formulaire
 

Téléchargement du package

Instances hébergées

Pour les instances hébergées (marketing, Mid et/ou exécution du centre de messages), veuillez contacter Adobe pour la demande de déploiement.

Instances sur site

Le package GDPR est disponible sur le portail de téléchargement Extranet.

image001

Si vous ne parvenez pas à trouver le package GDPR à partir du Centre de téléchargement, contactez le support Adobe Campaign (support-neolane@adobe.com) pour y accéder.

Installation et déploiement du package

Remarque :

Vérifiez que le package est installé sur tous les conteneurs au cas où le serveur Campaign s’exécute sur une architecture multi-conteneurs.

Voici les étapes générales d’installation du package GPDR :

  1. Installez le package sur le serveur Campaign : copiez les fichiers d’assemblage répertoriés dans la section Contenu du package aux bons endroits dans le dossier d’installation de Campaign.

  2. Déployez le package sur l’instance Campaign : exécutez l’entité de package pour importer des entités GDPR (schémas, formulaires, etc.). dans une occurrence donnée. Cette étape est semblable à l’importation du package standard via l’assistant d’importation de la console client.

Linux

Le package GDPR pour Linux contient :

  • un script de shell : gdpr.sh
  • un package compressé : gdpr.tgz

Pour installer le package :

  1. Placez les fichiers gdpr.sh et gdpr.tgz dans le même dossier (par exemple /tmp).

  2. Lancez le nom d’instance de passage gdpr.sh en tant que paramètre : root@CampaingServer:/tmp# ./gdpr.sh <instance_name>

  3. Une fois le script terminé, les clients peuvent utiliser la fonction et n’ont pas besoin de déployer / importer le package dans leur console, car le script s’en charge.

Remarque :

  • S’il y a plusieurs conteneurs, le script doit être exécuté séquentiellement.
  • Le script est exécuté en mode ansible et non interactif.
  • L’utilisateur racine doit être utilisé pour exécuter le script.
  • Le paramètre <Instance_name> est requis ; dans le cas contraire, le script renvoie une erreur.
  • Le package est installé avec la langue correspondante trouvée dans le fichier de configuration de l’instance.

Windows

Remarque :

L’installation sous Windows est manuelle. Aucun fichier exécutable / script n’est pris en charge.

Le package GDPR pour Windows contient un package compressé : gdpr_windows.zip

Pour installer le package :

  1. Extrayez le package compressé dans le dossier temporaire. Les fichiers sont archivés à l’aide du chemin relatif du nœud datakit (par exemple datakit/nms/...).

  2. Copiez un par un tous les fichiers trouvés dans les sous-dossiers de langue aux sous-dossiers de destination correspondants du dossier d’installation de Campaign.

  3. Vérifiez que les dossiers JS et JSSP sont disponibles dans le dossier /eng de Campaign. Dans le cas contraire, ils doivent être dans le dossier /fra. Dans ce cas, déplacez les fichiers gdpr.js et gdpr.jssp vers les dossiers JS et JSSP dans /fra.

  4. Après avoir copié tous les fichiers dans les destinations appropriées, connectez-vous à la console client et utilisez l’assistant d’importation de package standard pour importer le package GDPR.

image2018-4-20_10-4-50

Post-configuration

Le package de GDPR présente un nouveau droit nommé : Administrateur de données de confidentialité (privacyRight) pour gérer la collecte et la suppression des données.

Tous les opérateurs de contrôleur de données ayant accès à la console client doivent disposer de ce droit pour pouvoir gérer les demandes de confidentialité.

Si l’instance de Campaign est en cours de déploiement avec les instances d’exécution du Mid et / ou du centre de messages, les opérateurs utilisés dans les comptes externes pour accéder à des instances distantes doivent également disposer de ce droit.

  • Le package doit être installé sur les instances Mid et Exécution pour supprimer des données sur des instances distantes (page miroir, événement, broadlog, etc.).
  • privacyRight est ajouté par défaut aux opérateurs mid et mc out-of-the-box. Pour les autres opérateurs créés par les clients sur les instances Mid et Exécution, le droit doit être ajouté manuellement.
  • S’ils n’ont pas accès aux instances distantes, les clients hybrides doivent s’adresser au service clientèle.

Migration

Si vous migrez vers la version 18.4 ou supérieure, vous ne devriez rencontrer aucun problème puisque la nouvelle version intègre déjà le package GDPR.

Lors de la migration vers une version antérieure à 18.4 :

  • pour les clients utilisant toujours V6 : veuillez vérifier que les fichiers du package GDPR ne sont pas supprimés lors du processus de mise à niveau. Si c’est le cas, réappliquez simplement les instructions fournies dans Installation et déploiement du package pour installer / déployer à nouveau le package.
  • Pour les clients passant de V6 à V7 : le package doit être redéployé car le dossier d’installation de Campaign sera modifié.

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne